水泥罐除尘器厂家
免费服务热线

Free service

hotline

010-00000000
水泥罐除尘器厂家
热门搜索:
产品介绍
当前位置:首页 > 产品介绍

目前AutoCAD2000添加和移除多段线上

发布时间:2021-07-17 10:02:53 阅读: 来源:水泥罐除尘器厂家
目前AutoCAD2000添加和移除多段线上

[AutoCAD2000]添加和移除多段线上的顶点

;;;-----------------------------------------------------------------------

;;;顾名思义,本LISP文件是对ACAD函数的一些扩充。其中包含多个自行编写的函数

;;;(命令),用以解决工作中一些小问题,籍以提高工作效率。

;;;这些工具,都是作者们在工作一点点地积累而成。也许从程序设计的各项评判指标

;;;来看,并不是很严谨、优化,肯定有许多的不足之处。但若仅从解决实际问题的角

;;;度来讲,能够让工作的繁琐得到哪怕是一丁点的减轻,也算是努力没有白费。

;;;当然,精益求精、尽善尽美是我们不懈追求的目标,这是永远都不会改变的!

;;;因此,对于个中的不足之处,还请各位前辈不吝指出,小弟先行在此致谢!

;;;最后,祝您工作愉快!

;;;我的Email: IamYourHe@ 我的: 可对实验数据进行实时显示记录、打印 何俊

;;;-----------------------------------------------------------------------

(SETQ *acad-object* nil); Initialize global variable

(DEFUN acad-object ()

(COND(*acad-object*); Return the cached object

(T

(SETQ *acad-object* (VLAX-GET-ACAD-OBJECT))

)

) ;_ 结束cond

) ;_ 结束defun

(SETQ *active-document* nil); Initialize global variable

(DEFUN active-document ()

(COND(*active-document*); Return the cached object

(T

(SETQ *active-document* (VLA-GET-ACTIVEDOCUMENT (acad-object)))

)

) ;_ 结束cond

) ;_ 结束defun

(SETQ *model-space* nil); Initialize global variable

(DEFUN model-space ()

(COND(*model-space*); Return the cached object

(T

(SETQ *model-space* (VLA-GET-MODELSPACE (active-document)))

)

) ;_ 结束cond

) ;_ 结束defun

(VL-LOAD-COM)

;;;以上代码取自AutoCad2000帮助文件

;;;--------------------------------------------------------

;;;--------------------------------------------------------

;;;函数: c:FunHelp

;;;----------------------为挤出机企业带来了信心----------------------------------

;;;编制日期:2006.3.31

;;;编制者 :何俊

;;;函数说明:显示本文件内函数(命令)的相关信息

;;;--------------------------------------------------------

(DEFUN c:FunHelp ()

(PRINT)

(TEXTSCR)

(PRINC "\n AddFun自定义命令一览")

(PRINC "\n----------------------------------")

(PRINC "\n 命令 功能")

(PRI其中疲劳实验机还分为不同类型NC "\n----------------------------------")

(PRINC "\n Bfill ........区域植被填充")

(PRINC "\n AddVertex......在多段线上添加顶点")

(PRINC "\n RemoveVertex...移除多段线上的顶点")

(PRINC "\n CC.............多重复制")

(PRINC "\n Swp............选择用户指定多边形内的实体")

(PRINC "\n (注意多边形弹簧钢等要在当前视口内)")

(PRINC "\n Cwp............选择用户指定多边形内以及与多边形相交的实体")

(PRINC "\n (注意多边形要在当前视口内)")

(PRINC "\n ES.............选择用户指定多边形外的实体")

(PRINC "\n (注意多边形要在当前视口内)")

(PRINC "\n Cs.............用户指定多边形外且不与多边形相交实体"6、在装配线通过对生产的产品进行丈量)

(PRINC "\n (注意多边形要在当前视口内)")

(PRINC "\n----------------------------------")

(PRINC "\n 谢谢您的使用!愿您工作愉快!")其聚合物部门近日发现市场上出现很多假冒杜邦的产品

(PRINC)

) ;_ 结束defun

;;;-------------------------------------------

;;;函数名:RemoveVertex

;;;-------------------------------------------

;;;来源: 作者:何俊

;;;编制时间:2006.3.31

;;;功能 :删除多段线顶点

;;;语法

云南智能锁哪个牌子的比较好
湖南什么牌子的智能锁比较好
贵州指纹锁牌子有哪些